diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/nav-menus.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/nav-menus.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/nav-menus.php	2012-11-22 02:45:15.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/nav-menus.php	2013-07-12 13:16:29.000000000 -0500
***************
*** 460,607 ****
  ?>
  <div class="wrap">
  	<?php screen_icon(); ?>
! 	<h2><?php esc_html_e('Menus'); ?></h2>
  	<?php
  	foreach( $messages as $message ) :
  		echo $message . "\n";
  	endforeach;
  	?>
  	<div id="nav-menus-frame">
! 	<div id="menu-settings-column" class="metabox-holder<?php if ( !$nav_menu_selected_id ) { echo ' metabox-holder-disabled'; } ?>">
  
! 		<form id="nav-menu-meta" action="<?php echo admin_url( 'nav-menus.php' ); ?>" class="nav-menu-meta" method="post" enctype="multipart/form-data">
  			<input type="hidden" name="menu" id="nav-menu-meta-object-id" value="<?php echo esc_attr( $nav_menu_selected_id ); ?>" />
  			<input type="hidden" name="action" value="add-menu-item" />
  			<?php wp_nonce_field( 'add-menu_item', 'menu-settings-column-nonce' ); ?>
! 			<?php do_meta_boxes( 'nav-menus', 'side', null ); ?>
  		</form>
  
  	</div><!-- /#menu-settings-column -->
  	<div id="menu-management-liquid">
  		<div id="menu-management">
! 			<div id="select-nav-menu-container" class="hide-if-js">
! 				<form id="select-nav-menu" action="">
! 					<strong><label for="select-nav-menu"><?php esc_html_e( 'Select Menu:' ); ?></label></strong>
! 					<select class="select-nav-menu" name="menu">
! 						<?php foreach( (array) $nav_menus as $_nav_menu ) : ?>
! 							<option value="<?php echo esc_attr($_nav_menu->term_id) ?>" <?php selected($nav_menu_selected_id, $_nav_menu->term_id); ?>>
! 								<?php echo esc_html( $_nav_menu->truncated_name ); ?>
! 							</option>
! 						<?php endforeach; ?>
! 						<option value="0"><?php esc_html_e('Add New Menu'); ?></option>
! 					</select>
! 					<input type="hidden" name="action" value="edit" />
! 					<?php submit_button( __( 'Select' ), 'secondary', 'select_menu', false ); ?>
! 				</form>
! 			</div>
! 			<div class="nav-tabs-wrapper">
! 			<div class="nav-tabs">
! 				<?php
! 				foreach( (array) $nav_menus as $_nav_menu ) :
! 					if ( $nav_menu_selected_id == $_nav_menu->term_id ) : ?><span class="nav-tab nav-tab-active">
! 							<?php echo esc_html( $_nav_menu->truncated_name ); ?>
! 						</span><?php else : ?><a href="<?php
! 							echo esc_url(add_query_arg(
! 								array(
! 									'action' => 'edit',
! 									'menu' => $_nav_menu->term_id,
! 								),
! 								admin_url( 'nav-menus.php' )
! 							));
! 						?>" class="nav-tab hide-if-no-js">
! 							<?php echo esc_html( $_nav_menu->truncated_name ); ?>
! 						</a><?php endif;
! 				endforeach;
! 				if ( 0 == $nav_menu_selected_id ) : ?><span class="nav-tab menu-add-new nav-tab-active">
! 					<?php printf( '<abbr title="%s">+</abbr>', esc_html__( 'Add menu' ) ); ?>
! 				</span><?php else : ?><a href="<?php
! 					echo esc_url(add_query_arg(
! 						array(
! 							'action' => 'edit',
! 							'menu' => 0,
! 						),
! 						admin_url( 'nav-menus.php' )
! 					));
! 				?>" class="nav-tab menu-add-new">
! 					<?php printf( '<abbr title="%s">+</abbr>', esc_html__( 'Add menu' ) ); ?>
! 				</a><?php endif; ?>
! 			</div>
! 			</div>
! 			<div class="menu-edit">
! 				<form id="update-nav-menu" action="<?php echo admin_url( 'nav-menus.php' ); ?>" method="post" enctype="multipart/form-data">
  					<div id="nav-menu-header">
! 						<div id="submitpost" class="submitbox">
! 							<div class="major-publishing-actions">
! 								<label class="menu-name-label howto open-label" for="menu-name">
! 									<span><?php _e('Menu Name'); ?></span>
! 									<input name="menu-name" id="menu-name" type="text" class="menu-name regular-text menu-item-textbox input-with-default-title" title="<?php esc_attr_e('Enter menu name here'); ?>" value="<?php echo esc_attr( $nav_menu_selected_title ); ?>" />
! 								</label>
! 								<?php if ( !empty( $nav_menu_selected_id ) ) :
! 									if ( ! isset( $auto_add ) ) {
! 										$auto_add = get_option( 'nav_menu_options' );
! 										if ( ! isset( $auto_add['auto_add'] ) )
! 											$auto_add = false;
! 										elseif ( false !== array_search( $nav_menu_selected_id, $auto_add['auto_add'] ) )
! 											$auto_add = true;
! 										else
! 											$auto_add = false;
! 									}
! 								?>
! 								<div class="auto-add-pages">
! 									<label class="howto"><input type="checkbox"<?php checked( $auto_add ); ?> name="auto-add-pages" value="1" /> <?php printf( __('Automatically add new top-level pages' ), esc_url( admin_url( 'edit.php?post_type=page' ) ) ); ?></label>
! 								</div>
! 								<?php endif; ?>
! 								<br class="clear" />
! 								<div class="publishing-action">
! 									<?php submit_button( empty( $nav_menu_selected_id ) ? __( 'Create Menu' ) : __( 'Save Menu' ), 'button-primary menu-save', 'save_menu', false, array( 'id' => 'save_menu_header' ) ); ?>
! 								</div><!-- END .publishing-action -->
! 
! 								<?php if ( ! empty( $nav_menu_selected_id ) ) : ?>
! 								<div class="delete-action">
! 									<a class="submitdelete deletion menu-delete" href="<?php echo esc_url( wp_nonce_url( admin_url('nav-menus.php?action=delete&amp;menu=' . $nav_menu_selected_id), 'delete-nav_menu-' . $nav_menu_selected_id ) ); ?>"><?php _e('Delete Menu'); ?></a>
! 								</div><!-- END .delete-action -->
! 								<?php endif; ?>
! 							</div><!-- END .major-publishing-actions -->
! 						</div><!-- END #submitpost .submitbox -->
! 						<?php
! 						wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
! 						wp_nonce_field( 'meta-box-order', 'meta-box-order-nonce', false );
! 						wp_nonce_field( 'update-nav_menu', 'update-nav-menu-nonce' );
! 						?>
! 						<input type="hidden" name="action" value="update" />
! 						<input type="hidden" name="menu" id="menu" value="<?php echo esc_attr( $nav_menu_selected_id ); ?>" />
! 					</div><!-- END #nav-menu-header -->
  					<div id="post-body">
  						<div id="post-body-content">
  							<?php
! 							if ( isset( $edit_markup ) ) {
! 								if ( ! is_wp_error( $edit_markup ) )
! 									echo $edit_markup;
! 							} else if ( empty( $nav_menu_selected_id ) ) {
! 								echo '<div class="post-body-plain">';
! 								echo '<p>' . __('To create a custom menu, give it a name above and click Create Menu. Then choose items like pages, categories or custom links from the left column to add to this menu.') . '</p>';
! 								echo '<p>' . __('After you have added your items, drag and drop to put them in the order you want. You can also click each item to reveal additional configuration options.') . '</p>';
! 								echo '<p>' . __('When you have finished building your custom menu, make sure you click the Save Menu button.') . '</p>';
! 								echo '</div>';
! 							}
  							?>
  						</div><!-- /#post-body-content -->
  					</div><!-- /#post-body -->
  					<div id="nav-menu-footer">
  						<div class="major-publishing-actions">
! 						<div class="publishing-action">
! 							<?php
! 							if ( ! empty( $nav_menu_selected_id ) )
! 								submit_button( __( 'Save Menu' ), 'button-primary menu-save', 'save_menu', false, array( 'id' => 'save_menu_footer' ) );
! 							?>
! 						</div>
! 						</div>
  					</div><!-- /#nav-menu-footer -->
! 				</form><!-- /#update-nav-menu -->
! 			</div><!-- /.menu-edit -->
  		</div><!-- /#menu-management -->
  	</div><!-- /#menu-management-liquid -->
  	</div><!-- /#nav-menus-frame -->
  </div><!-- /.wrap-->
- 
  <?php include( './admin-footer.php' ); ?>
--- 533,764 ----
  ?>
  <div class="wrap">
  	<?php screen_icon(); ?>
! 	<h2 class="nav-tab-wrapper">
! 		<a href="<?php echo admin_url( 'nav-menus.php' ); ?>" class="nav-tab<?php if ( ! isset( $_GET['action'] ) || isset( $_GET['action'] ) && 'locations' != $_GET['action'] ) echo ' nav-tab-active'; ?>"><?php esc_html_e( 'Edit Menus' ); ?></a>
! 		<?php if ( $num_locations && $menu_count ) : ?>
! 			<a href="<?php echo esc_url( add_query_arg( array( 'action' => 'locations' ), admin_url( 'nav-menus.php' ) ) ); ?>" class="nav-tab<?php if ( $locations_screen ) echo ' nav-tab-active'; ?>"><?php esc_html_e( 'Manage Locations' ); ?></a>
! 		<?php endif; ?>
! 	</h2>
  	<?php
  	foreach( $messages as $message ) :
  		echo $message . "\n";
  	endforeach;
  	?>
+ 	<?php
+ 	if ( $locations_screen ) :
+ 		echo '<p>' . sprintf( _n( 'Your theme supports %s menu. Select which menu you would like to use below.', 'Your theme supports %s menus. Select a menu to use for each theme location below.', $num_locations ), number_format_i18n( $num_locations ) ) . '</p>';
+ 	?>
+ 	<div id="menu-locations-wrap">
+ 		<form method="post" action="<?php echo esc_url( add_query_arg( array( 'action' => 'locations' ), admin_url( 'nav-menus.php' ) ) ); ?>">
+ 			<table class="widefat fixed" cellspacing="0" id="menu-locations-table">
+ 				<thead>
+ 				<tr>
+ 					<th scope="col" class="manage-column column-locations"><?php _e( 'Theme Location' ); ?></th>
+ 					<th scope="col" class="manage-column column-menus"><?php _e( 'Assigned Menu' ); ?></th>
+ 				</tr>
+ 				</thead>
+ 				<!--<tfoot>
+ 				<tr>
+ 					<th scope="col" class="manage-column column-locations"><?php _e( 'Theme Location' ); ?></th>
+ 					<th scope="col" class="manage-column column-menus"><?php _e( 'Assigned Menu' ); ?></th>
+ 				</tr>
+ 				</tfoot>-->
+ 				<tbody class="menu-locations">
+ 				<?php foreach ( $locations as $_location => $_name ) { ?>
+ 					<tr id="menu-locations-row">
+ 						<td class="menu-location-title"><strong><?php echo $_name; ?></strong></td>
+ 						<td class="menu-location-menus">
+ 							<select name="menu-locations[<?php echo $_location; ?>]" id="locations-<?php echo $_location; ?>">
+ 								<option value="0"><?php printf( '&mdash; %s &mdash;', esc_html__( 'Select a Menu' ) ); ?></option>
+ 								<?php foreach ( $nav_menus as $menu ) : ?>
+ 									<?php $selected = isset( $menu_locations[$_location] ) && $menu_locations[$_location] == $menu->term_id; ?>
+ 									<option <?php if ( $selected ) echo 'data-orig="true"'; ?> <?php selected( $selected ); ?> value="<?php echo $menu->term_id; ?>">
+ 										<?php echo wp_html_excerpt( $menu->name, 40, '&hellip;' ); ?>
+ 									</option>
+ 								<?php endforeach; ?>
+ 							</select>
+ 							<div class="locations-row-links">
+ 								<?php if ( isset( $menu_locations[ $_location ] ) && 0 != $menu_locations[ $_location ] ) : ?>
+ 								<span class="locations-edit-menu-link">
+ 									<a href="<?php echo esc_url( add_query_arg( array( 'action' => 'edit', 'menu' => $menu_locations[$_location] ), admin_url( 'nav-menus.php' ) ) ); ?>">
+ 										<?php _ex( 'Edit', 'menu' ); ?>
+ 									</a>
+ 								</span>
+ 								<?php endif; ?>
+ 								<span class="locations-add-menu-link">
+ 									<a href="<?php echo esc_url( add_query_arg( array( 'action' => 'edit', 'menu' => 0, 'use-location' => $_location ), admin_url( 'nav-menus.php' ) ) ); ?>">
+ 										<?php _ex( 'Use new menu', 'menu' ); ?>
+ 									</a>
+ 								</span>
+ 							</div><!-- #locations-row-links -->
+ 						</td><!-- .menu-location-menus -->
+ 					</tr><!-- #menu-locations-row -->
+ 				<?php } // foreach ?>
+ 				</tbody>
+ 			</table>
+ 			<p class="button-controls"><?php submit_button( __( 'Save Changes' ), 'primary left', 'nav-menu-locations', false ); ?></p>
+ 			<?php wp_nonce_field( 'save-menu-locations' ); ?>
+ 			<input type="hidden" name="menu" id="nav-menu-meta-object-id" value="<?php echo esc_attr( $nav_menu_selected_id ); ?>" />
+ 		</form>
+ 	</div><!-- #menu-locations-wrap -->
+ 	<?php do_action( 'after_menu_locations_table' ); ?>
+ 	<?php else : ?>
+ 	<div class="manage-menus">
+  		<?php if ( $menu_count < 2 ) : ?>
+ 		<span class="add-edit-menu-action">
+ 			<?php printf( __( 'Edit your menu below, or <a href="%s">create a new menu</a>.' ), esc_url( add_query_arg( array( 'action' => 'edit', 'menu' => 0 ), admin_url( 'nav-menus.php' ) ) ) ); ?>
+ 		</span><!-- /add-edit-menu-action -->
+ 		<?php else : ?>
+ 			<form method="get" action="<?php echo admin_url( 'nav-menus.php' ); ?>">
+ 			<input type="hidden" name="action" value="edit" />
+ 			<label for="menu" class="selected-menu"><?php _e( 'Select a menu to edit:' ); ?></label>
+ 			<select name="menu" id="menu">
+ 				<?php if ( $add_new_screen ) : ?>
+ 					<option value="0" selected="selected"><?php _e( '-- Select --' ); ?></option>
+ 				<?php endif; ?>
+ 				<?php foreach( (array) $nav_menus as $_nav_menu ) : ?>
+ 					<option value="<?php echo esc_attr( $_nav_menu->term_id ); ?>" <?php selected( $_nav_menu->term_id, $nav_menu_selected_id ); ?>>
+ 						<?php
+ 						echo esc_html( $_nav_menu->truncated_name ) ;
+ 
+ 						if ( ! empty( $menu_locations ) && in_array( $_nav_menu->term_id, $menu_locations ) ) {
+ 							$locations_assigned_to_this_menu = array();
+ 							foreach ( array_keys( $menu_locations, $_nav_menu->term_id ) as $menu_location_key ) {
+ 								 $locations_assigned_to_this_menu[] = $locations[ $menu_location_key ];
+ 							}
+ 							$assigned_locations = array_slice( $locations_assigned_to_this_menu, 0, absint( apply_filters( 'wp_nav_locations_listed_per_menu', 3 ) ) );
+ 
+ 							// Adds ellipses following the number of locations defined in $assigned_locations
+ 							printf( ' (%1$s%2$s)',
+ 								implode( ', ', $assigned_locations ),
+ 								count( $locations_assigned_to_this_menu ) > count( $assigned_locations ) ? ' &hellip;' : ''
+ 							);
+ 						}
+ 						?>
+ 					</option>
+ 				<?php endforeach; ?>
+ 			</select>
+ 			<span class="submit-btn"><input type="submit" class="button-secondary" value="<?php _e( 'Select' ); ?>"></span>
+ 			<span class="add-new-menu-action">
+ 				<?php printf( __( 'or <a href="%s">create a new menu</a>.' ), esc_url( add_query_arg( array( 'action' => 'edit', 'menu' => 0 ), admin_url( 'nav-menus.php' ) ) ) ); ?>
+ 			</span><!-- /add-new-menu-action -->
+ 		</form>
+ 	<?php endif; ?>
+ 	</div><!-- /manage-menus -->
  	<div id="nav-menus-frame">
! 	<div id="menu-settings-column" class="metabox-holder<?php if ( isset( $_GET['menu'] ) && '0' == $_GET['menu'] ) { echo ' metabox-holder-disabled'; } ?>">
  
! 		<div class="clear"></div>
! 
! 		<form id="nav-menu-meta" action="" class="nav-menu-meta" method="post" enctype="multipart/form-data">
  			<input type="hidden" name="menu" id="nav-menu-meta-object-id" value="<?php echo esc_attr( $nav_menu_selected_id ); ?>" />
  			<input type="hidden" name="action" value="add-menu-item" />
  			<?php wp_nonce_field( 'add-menu_item', 'menu-settings-column-nonce' ); ?>
! 			<?php do_accordion_sections( 'nav-menus', 'side', null ); ?>
  		</form>
  
  	</div><!-- /#menu-settings-column -->
  	<div id="menu-management-liquid">
  		<div id="menu-management">
! 			<form id="update-nav-menu" action="" method="post" enctype="multipart/form-data">
! 				<div class="menu-edit <?php if ( $add_new_screen ) echo 'blank-slate'; ?>">
! 					<?php
! 					wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
! 					wp_nonce_field( 'meta-box-order', 'meta-box-order-nonce', false );
! 					wp_nonce_field( 'update-nav_menu', 'update-nav-menu-nonce' );
! 
! 					if ( $one_theme_location_no_menus ) { ?>
! 						<input type="hidden" name="zero-menu-state" value="true" />
! 					<?php } ?>
!  					<input type="hidden" name="action" value="update" />
! 					<input type="hidden" name="menu" id="menu" value="<?php echo esc_attr( $nav_menu_selected_id ); ?>" />
  					<div id="nav-menu-header">
! 						<div class="major-publishing-actions">
! 							<label class="menu-name-label howto open-label" for="menu-name">
! 								<span><?php _e( 'Menu Name' ); ?></span>
! 								<input name="menu-name" id="menu-name" type="text" class="menu-name regular-text menu-item-textbox input-with-default-title" title="<?php esc_attr_e( 'Enter menu name here' ); ?>" value="<?php if ( $one_theme_location_no_menus ) _e( 'Menu 1' ); else echo esc_attr( $nav_menu_selected_title ); ?>" />
! 							</label>
! 							<div class="publishing-action">
! 								<?php submit_button( empty( $nav_menu_selected_id ) ? __( 'Create Menu' ) : __( 'Save Menu' ), 'button-primary menu-save', 'save_menu', false, array( 'id' => 'save_menu_header' ) ); ?>
! 							</div><!-- END .publishing-action -->
! 						</div><!-- END .major-publishing-actions -->
! 					</div><!-- END .nav-menu-header -->
  					<div id="post-body">
  						<div id="post-body-content">
+ 							<?php if ( ! $add_new_screen ) : ?>
+ 							<h3><?php _e( 'Menu Structure' ); ?></h3>
+ 							<?php $starter_copy = ( $one_theme_location_no_menus ) ? __( 'Edit your default menu by adding or removing items. Drag each item into the order you prefer. Click Create Menu to save your changes.' ) : __( 'Drag each item into the order you prefer. Click the arrow on the right of the item to reveal additional configuration options.' ); ?>
+ 							<div class="drag-instructions post-body-plain" <?php if ( isset( $menu_items ) && 0 == count( $menu_items ) ) { ?>style="display: none;"<?php } ?>>
+ 								<p><?php echo $starter_copy; ?></p>
+ 							</div>
  							<?php
! 							if ( isset( $edit_markup ) && ! is_wp_error( $edit_markup ) ) {
! 								echo $edit_markup;
! 							} else {
  							?>
+ 							<ul class="menu" id="menu-to-edit"></ul>
+ 							<?php } ?>
+ 							<?php endif; ?>
+ 							<?php if ( $add_new_screen ) : ?>
+ 								<p class="post-body-plain"><?php _e( 'Give your menu a name above, then click Create Menu.' ); ?></p>
+ 								<?php if ( isset( $_GET['use-location'] ) ) : ?>
+ 									<input type="hidden" name="use-location" value="<?php echo esc_attr( $_GET['use-location'] ); ?>" />
+ 								<?php endif; ?>
+ 							<?php endif; ?>
+ 							<div class="menu-settings" <?php if ( $one_theme_location_no_menus ) { ?>style="display: none;"<?php } ?>>
+ 								<h3><?php _e( 'Menu Settings' ); ?></h3>
+ 								<?php
+ 								if ( ! isset( $auto_add ) ) {
+ 									$auto_add = get_option( 'nav_menu_options' );
+ 									if ( ! isset( $auto_add['auto_add'] ) )
+ 										$auto_add = false;
+ 									elseif ( false !== array_search( $nav_menu_selected_id, $auto_add['auto_add'] ) )
+ 										$auto_add = true;
+ 									else
+ 										$auto_add = false;
+ 								} ?>
+ 
+ 								<dl class="auto-add-pages">
+ 									<dt class="howto"><?php _e( 'Auto add pages' ); ?></dt>
+ 									<dd class="checkbox-input"><input type="checkbox"<?php checked( $auto_add ); ?> name="auto-add-pages" id="auto-add-pages" value="1" /> <label for="auto-add-pages"><?php printf( __('Automatically add new top-level pages to this menu' ), esc_url( admin_url( 'edit.php?post_type=page' ) ) ); ?></label></dd>
+ 								</dl>
+ 
+ 								<?php if ( current_theme_supports( 'menus' ) ) : ?>
+ 
+ 									<dl class="menu-theme-locations">
+ 										<dt class="howto"><?php _e( 'Theme locations' ); ?></dt>
+ 										<?php foreach ( $locations as $location => $description ) : ?>
+ 										<dd class="checkbox-input">
+ 											<input type="checkbox"<?php checked( isset( $menu_locations[ $location ] ) && $menu_locations[ $location ] == $nav_menu_selected_id ); ?> name="menu-locations[<?php echo esc_attr( $location ); ?>]" id="locations-<?php echo esc_attr( $location ); ?>" value="<?php echo esc_attr( $nav_menu_selected_id ); ?>" /> <label for="locations-<?php echo esc_attr( $location ); ?>"><?php echo $description; ?></label>
+ 											<?php if ( ! empty( $menu_locations[ $location ] ) && $menu_locations[ $location ] != $nav_menu_selected_id ) : ?>
+ 											<span class="theme-location-set"> <?php printf( __( "(Currently set to: %s)" ), wp_get_nav_menu_object( $menu_locations[ $location ] )->name ); ?> </span>
+ 											<?php endif; ?>
+ 										</dd>
+ 										<?php endforeach; ?>
+ 									</dl>
+ 
+ 								<?php endif; ?>
+ 
+ 							</div>
  						</div><!-- /#post-body-content -->
  					</div><!-- /#post-body -->
  					<div id="nav-menu-footer">
  						<div class="major-publishing-actions">
! 							<?php if ( 0 != $menu_count && ! $add_new_screen ) : ?>
! 							<span class="delete-action">
! 								<a class="submitdelete deletion menu-delete" href="<?php echo esc_url( wp_nonce_url( add_query_arg( array( 'action' => 'delete', 'menu' => $nav_menu_selected_id, admin_url() ) ), 'delete-nav_menu-' . $nav_menu_selected_id) ); ?>"><?php _e('Delete Menu'); ?></a>
! 							</span><!-- END .delete-action -->
! 							<?php endif; ?>
! 							<div class="publishing-action">
! 								<?php submit_button( empty( $nav_menu_selected_id ) ? __( 'Create Menu' ) : __( 'Save Menu' ), 'button-primary menu-save', 'save_menu', false, array( 'id' => 'save_menu_header' ) ); ?>
! 							</div><!-- END .publishing-action -->
! 						</div><!-- END .major-publishing-actions -->
  					</div><!-- /#nav-menu-footer -->
! 				</div><!-- /.menu-edit -->
! 			</form><!-- /#update-nav-menu -->
  		</div><!-- /#menu-management -->
  	</div><!-- /#menu-management-liquid -->
  	</div><!-- /#nav-menus-frame -->
+ 	<?php endif; ?>
  </div><!-- /.wrap-->
  <?php include( './admin-footer.php' ); ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/index.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/index.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/index.php	2011-11-30 20:22:07.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/index.php	2013-03-08 21:18:26.000000000 -0600
***************
*** 22,35 ****
  $title = __( 'Dashboard' );
  $parent_file = 'index.php';
  
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'overview',
! 		'title'   => __('Overview'),
! 		'content' =>
! 			'<p>' . __('Until WordPress 3.0, running multiple sites required using WordPress MU instead of regular WordPress. In version 3.0, these applications have merged. If you are a former MU user, you should be aware of the following changes:') . '</p>' .
! 			'<ul><li>' . __('Site Admin is now Super Admin (we highly encourage you to get yourself a cape!).') . '</li>' .
! 			'<li>' . __('Blogs are now called Sites; Site is now called Network.') . '</li></ul>' .
! 			'<p>' . __('The Right Now box provides the network administrator with links to the screens to either create a new site or user, or to search existing users and sites. Screens for Sites and Users are also accessible through the left-hand navigation in the Network Admin section.') . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
--- 22,51 ----
  $title = __( 'Dashboard' );
  $parent_file = 'index.php';
  
! $overview = '<p>' . __( 'Welcome to your Network Admin. This area of the Administration Screens is used for managing all aspects of your Multisite Network.' ) . '</p>';
! $overview .= '<p>' . __( 'From here you can:' ) . '</p>';
! $overview .= '<ul><li>' . __( 'Add and manage sites or users' ) . '</li>';
! $overview .= '<li>' . __( 'Install and activate themes or plugins' ) . '</li>';
! $overview .= '<li>' . __( 'Update your network' ) . '</li>';
! $overview .= '<li>' . __( 'Modify global network settings' ) . '</li></ul>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __( 'Overview' ),
! 	'content' => $overview
! ) );
! 
! $quick_tasks = '<p>' . __( 'The Right Now widget on this screen provides current user and site counts on your network.' ) . '</p>';
! $quick_tasks .= '<ul><li>' . __( 'To add a new user <strong>click Create a New User</strong>' ) . '</li>';
! $quick_tasks .= '<li>' . __( 'To add a new site <strong>click Create a New Site</strong>' ) . '</li></ul>';
! $quick_tasks .= '<p>' . __( 'To search for a user or site, use the search boxes.' ) . '</p>';
! $quick_tasks .= '<ul><li>' . __( '<strong>To search for a user</strong> enter all or part of a username or email address' ) . '</li>';
! $quick_tasks .= '<li>' . __( '<strong>To search for a site</strong> enter the path or domain' ) . '</li></ul>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'quick-tasks',
! 	'title'   => __( 'Quick Tasks' ),
! 	'content' => $quick_tasks
  ) );
  
  get_current_screen()->set_help_sidebar(
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/menu.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/menu.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/menu.php	2012-09-15 14:57:46.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/menu.php	2013-03-05 11:02:31.000000000 -0600
***************
*** 56,62 ****
  unset($update_data);
  
  $submenu[ 'upgrade.php' ][10] = array( __( 'Available Updates' ), 'update_core', 'update-core.php' );
! $submenu[ 'upgrade.php' ][15] = array( __( 'Update Network' ), 'manage_network', 'upgrade.php' );
  
  $menu[99] = array( '', 'read', 'separator-last', '', 'wp-menu-separator-last' );
  
--- 56,62 ----
  unset($update_data);
  
  $submenu[ 'upgrade.php' ][10] = array( __( 'Available Updates' ), 'update_core', 'update-core.php' );
! $submenu[ 'upgrade.php' ][15] = array( __( 'Upgrade Network' ), 'manage_network', 'upgrade.php' );
  
  $menu[99] = array( '', 'read', 'separator-last', '', 'wp-menu-separator-last' );
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/settings.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/settings.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/settings.php	2012-09-24 20:54:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/settings.php	2013-03-01 10:37:24.000000000 -0600
***************
*** 61,67 ****
  	foreach ( $options as $option_name ) {
  		if ( ! isset($_POST[$option_name]) )
  			continue;
! 		$value = stripslashes_deep( $_POST[$option_name] );
  		update_site_option( $option_name, $value );
  	}
  
--- 61,67 ----
  	foreach ( $options as $option_name ) {
  		if ( ! isset($_POST[$option_name]) )
  			continue;
! 		$value = wp_unslash( $_POST[$option_name] );
  		update_site_option( $option_name, $value );
  	}
  
***************
*** 181,187 ****
  				<th scope="row"><label for="welcome_email"><?php _e( 'Welcome Email' ) ?></label></th>
  				<td>
  					<textarea name="welcome_email" id="welcome_email" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( stripslashes( get_site_option( 'welcome_email' ) ) ) ?></textarea>
  					<br />
  					<?php _e( 'The welcome email sent to new site owners.' ) ?>
  				</td>
--- 181,187 ----
  				<th scope="row"><label for="welcome_email"><?php _e( 'Welcome Email' ) ?></label></th>
  				<td>
  					<textarea name="welcome_email" id="welcome_email" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( get_site_option( 'welcome_email' ) ) ?></textarea>
  					<br />
  					<?php _e( 'The welcome email sent to new site owners.' ) ?>
  				</td>
***************
*** 190,196 ****
  				<th scope="row"><label for="welcome_user_email"><?php _e( 'Welcome User Email' ) ?></label></th>
  				<td>
  					<textarea name="welcome_user_email" id="welcome_user_email" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( stripslashes( get_site_option( 'welcome_user_email' ) ) ) ?></textarea>
  					<br />
  					<?php _e( 'The welcome email sent to new users.' ) ?>
  				</td>
--- 190,196 ----
  				<th scope="row"><label for="welcome_user_email"><?php _e( 'Welcome User Email' ) ?></label></th>
  				<td>
  					<textarea name="welcome_user_email" id="welcome_user_email" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( get_site_option( 'welcome_user_email' ) ) ?></textarea>
  					<br />
  					<?php _e( 'The welcome email sent to new users.' ) ?>
  				</td>
***************
*** 199,205 ****
  				<th scope="row"><label for="first_post"><?php _e( 'First Post' ) ?></label></th>
  				<td>
  					<textarea name="first_post" id="first_post" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( stripslashes( get_site_option( 'first_post' ) ) ) ?></textarea>
  					<br />
  					<?php _e( 'The first post on a new site.' ) ?>
  				</td>
--- 199,205 ----
  				<th scope="row"><label for="first_post"><?php _e( 'First Post' ) ?></label></th>
  				<td>
  					<textarea name="first_post" id="first_post" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( get_site_option( 'first_post' ) ) ?></textarea>
  					<br />
  					<?php _e( 'The first post on a new site.' ) ?>
  				</td>
***************
*** 208,214 ****
  				<th scope="row"><label for="first_page"><?php _e( 'First Page' ) ?></label></th>
  				<td>
  					<textarea name="first_page" id="first_page" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( stripslashes( get_site_option('first_page') ) ) ?></textarea>
  					<br />
  					<?php _e( 'The first page on a new site.' ) ?>
  				</td>
--- 208,214 ----
  				<th scope="row"><label for="first_page"><?php _e( 'First Page' ) ?></label></th>
  				<td>
  					<textarea name="first_page" id="first_page" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( get_site_option( 'first_page' ) ) ?></textarea>
  					<br />
  					<?php _e( 'The first page on a new site.' ) ?>
  				</td>
***************
*** 217,223 ****
  				<th scope="row"><label for="first_comment"><?php _e( 'First Comment' ) ?></label></th>
  				<td>
  					<textarea name="first_comment" id="first_comment" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( stripslashes( get_site_option('first_comment') ) ) ?></textarea>
  					<br />
  					<?php _e( 'The first comment on a new site.' ) ?>
  				</td>
--- 217,223 ----
  				<th scope="row"><label for="first_comment"><?php _e( 'First Comment' ) ?></label></th>
  				<td>
  					<textarea name="first_comment" id="first_comment" rows="5" cols="45" class="large-text">
! <?php echo esc_textarea( get_site_option( 'first_comment' ) ) ?></textarea>
  					<br />
  					<?php _e( 'The first comment on a new site.' ) ?>
  				</td>
